> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/philippines/qrcode.md).

# QRCode

## Payout by QRCode

This endpoint allows you to submit a payout by QRCode in Philippines.

Use the `scan_id` returned from the Retrieve QRCode Data API to submit the QRCode payout.

{% hint style="info" %}
The supported payout amount range is `1` to `50000` PHP.
{% endhint %}

<mark style="color:green;">`POST`</mark> `https://api.transfersmile.com/api/payout`

## Request Body

| Parameter          | Type   | Required | Constraints                                                                   | Description                                                |
| ------------------ | ------ | -------- | ----------------------------------------------------------------------------- | ---------------------------------------------------------- |
| amount             | string | Yes      | Range: `1` to `50000`                                                         | Payout amount.                                             |
| source\_currency   | string | Yes      | One of: `USD`, `EUR`, `GBP`, `PHP`                                            | Merchant Account Currency.                                 |
| arrival\_currency  | string | Yes      | Fixed value: `PHP`                                                            | Arrival currency.                                          |
| fee\_bear          | string | Yes      | One of: `merchant`, `beneficiary`                                             | Specifies who bears the processing fee.                    |
| account\_type      | string | Yes      | Fixed value: `QRCODE`                                                         | Account type.                                              |
| account            | string | Yes      | Max length: 255 characters                                                    | The QRCode account data.                                   |
| custom\_code       | string | Yes      | Must be unique                                                                | The merchant-side payout order ID.                         |
| notify\_url        | string | Yes      | Valid URL                                                                     | The URL used to receive asynchronous payout notifications. |
| method             | string | Yes      | Fixed value: `QRCODE`                                                         | Payout method.                                             |
| additional\_remark | string | Yes      | Max length: 40 characters                                                     | Additional payout remark.                                  |
| country            | string | Yes      | Fixed value: `PHL`                                                            | Country code.                                              |
| scan\_id           | string | Yes      | The scan\_id is valid for 5 minutes after retrieval and can be used only once | The scan ID returned from the Retrieve QRCode Data API.    |

## Request Sample

```json
{
  "amount": "1",
  "source_currency": "USD",
  "arrival_currency": "PHP",
  "fee_bear": "merchant",
  "account_type": "QRCODE",
  "account": "00020101021127781111com.p2pqrpay********",
  "custom_code": "custom_code********RK",
  "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
  "method": "QRCODE",
  "additional_remark": "from test",
  "country": "PHL",
  "scan_id": "QH2026********"
}
```

## Response

```json
{
  "code": 200,
  "msg": "success",
  "time": 1782377397,
  "data": {
    "custom_code": "custom_code********RK",
    "trade_no": "2026************",
    "arrival_amount": "1",
    "arrival_currency": "PHP",
    "trade_status": "PROCESSING"
  }
}
```
